/*
 * BustaGrahics.cpp
 * Busta' Sandwich Graphics Engine Implementation
 * Authors: Julian Chan, Thomas Patecky
 *
 * Created: 6:03 pm,July 15, 2005
 * Last Modified: July 15, 2005
 *
 */

#include "BustaGraphics.h"
#include "Font.hpp"
#include <stdio.h>
#include <stdlib.h>


#define BOARD_SIZE			5
#define BOARD_TOP_LEFT_X	250
#define BOARD_TOP_LEFT_Y	20
#define FOOD_PIECE_SIZE		64
#define FOOD_PIECE_GAP		10

BustaGraphics::BustaGraphics(SDL_Surface* screen)
{
	myScreen = screen;
	mySprites = new BustaGraphicsSprites();
}


void BustaGraphics::drawSPGame(BustaModelGameState* gs)
{
	drawBoard(gs);
	SDL_Flip(myScreen);
}

void BustaGraphics::drawBoard(BustaModelGameState* gs)
{
		for(int i=0; i<BOARD_SIZE; i++)
				for(int j=0; j<BOARD_SIZE; j++)
						drawFoodPiece(gs->getBoard(i, j), i, j);
}

//Draws one FoodPiece
void BustaGraphics::drawFoodPiece(BustaModelFoodPiece* food_piece, int row, int col)
{
		SDL_Rect rect;

		rect.x = BOARD_TOP_LEFT_X + col * (FOOD_PIECE_GAP + FOOD_PIECE_SIZE);
		rect.y = BOARD_TOP_LEFT_Y + row * (FOOD_PIECE_GAP + FOOD_PIECE_SIZE);
		rect.w = FOOD_PIECE_SIZE;
		rect.h = FOOD_PIECE_SIZE;

		updateRect(&rect, mySprites->getFoodSprite(food_piece));
}



void BustaGraphics::updateRect(SDL_Rect* rect, SDL_Surface* rectSurface)
{
		SDL_BlitSurface(rectSurface, NULL, myScreen, rect);
}

//Single-Player Game
void BustaGraphics::drawChef(BustaModelChef c)
{
	printf("Called drawChef\n");
}
void BustaGraphics::drawTipJar(BustaModelTipJar tj)
{
		printf("Called drawTipJar\n");
}
void BustaGraphics::drawScore(int score)
{
		printf("Called drawScore\n");
}

//Multi-Player Game
void BustaGraphics::drawMPGame(BustaModelGameState gs)
{
		printf("Called drawMPGame\n");
}
void BustaGraphics::drawOpponentBoard(BustaModelGameState gs)
{
		printf("Called drawOpponentBoard\n");
}

//Other screens
void BustaGraphics::drawMainScreen()
{
		printf("Called drawMainScreen\n");
}
void BustaGraphics::drawChefSelelection()
{
		printf("Called drawChefSelection\n");
}
void BustaGraphics::drawHighScores()
{
		printf("Called drawHighScores\n");
}
void BustaGraphics::drawRankings()
{
		printf("Called drawRankings\n");
}
void BustaGraphics::drawOptions()
{
		printf("Called drawOptions\n");
}
void BustaGraphics::drawConnection()
{
		printf("Called drawConnection\n");
}
			
		


			
		
