/* 
 * gfxTest.cpp
 * Test file for BustaGraphics
 * Meant for informal code testing
 *
 * Created: July 15, 2005
 * Last Modified:
 *
 */

#include "SDL.h"
#include "BustaGraphics.h"
#include "Models/BustaModelGameState.h"

int main(int argc, char *argv[])
{
	if ( SDL_Init(SDL_INIT_AUDIO|SDL_INIT_VIDEO) < 0 )
  	{
    	printf("Unable to init SDL: %s\n", SDL_GetError());
		return 0;
	}

	
	SDL_Surface* screen = SDL_SetVideoMode(640, 480, 32, SDL_SWSURFACE|SDL_RESIZABLE|SDL_HWPALETTE);
	BustaGraphics* display = new BustaGraphics(screen);

	BustaModelGameState* game_state = new BustaModelGameState();

	BustaModelFoodPiece* tomato = new BustaModelFoodPiece();
	tomato->setType(1);

	bool done = false;
	while(!done)
  	{
    	SDL_Event event;

		while ( SDL_PollEvent(&event) )
    	{
      		if ( event.type == SDL_QUIT )  {  done = 1;  }

		    if ( event.type == SDL_KEYDOWN )
      		{
       			 if ( event.key.keysym.sym == SDLK_ESCAPE ) done = true;
      		}
    	}
		display->drawSPGame(game_state);
		SDL_Flip(screen);

	}
	
	return 0;
}
	

	
