/*	Filename:		BustaModelCursor.h
 *	Description:	Busta' Sandwich Cursor model.
 *
 */

#ifndef BUSTA_SANDWICH_CURSOR
#define BUSTA_SANDWICH_CURSOR

#include "BustaModelPosition.h"

/**
 * @class BustaModelCursor
 *
 */

enum {LEFT,RIGHT,UP,DOWN};

class BustaModelCursor
{
	public:
		/**
		 * @brief Constructor
		 *
		 * Initializes variables
		 */
		BustaModelCursor();


		/**
		 * @brief Destructor
		 *
		 */
		~BustaModelCursor();

		/**
		 * @brief gets position of cursor
		 */
		BustaModelPosition* getPosition();

		/**
		 * @brief sets Position of cursor
		 */
		void setPosition(BustaModelPosition* p);
		
		/**
		 * @brief sets Position of cursor via x,y coordinates
		 */
		void setPosition(int x, int y);


		/**
		 * @brief gets alignment of cursor
		 */
		int getAlignment();

		/**
		 * @brief sets alignment of cursor
		 */
		void setAlignment(int a);
		
		/**
		 * @brief gets cursor modifier
		 */
		int getModifier();

		/**
		 * @brief sets cursor modifier
		 */
		void setModifier(int m);

	private:
		BustaModelPosition* pos;
		int alignment;
		int modifier;
};

#endif