/*	Filename:		BustaModelCustomer.h
 *	Description:	Busta' Sandwich Customer model.
 *
 */

#ifndef BUSTA_SANDWICH_CUSTOMER
#define BUSTA_SANDWICH_CUSTOMER

#include "BustaModelFoodPiece.h"
#include "BustaModelAnimation.h"

/**
 * @class BustaModelCustomer
 *
 */
class BustaModelCustomer
{
	public:
		/**
		 * @brief Constructor
		 *
		 * Initializes variables
		 */
		BustaModelCustomer();

		/**
		 * @brief Destructor
		 *
		 */
		~BustaModelCustomer();


		/**
		 * @brief Gets the time left on the customer order
		 */
		int getTime();

		/**
		 * @brief Sets the time left on the order
		 */
		void setTime(int t);
		
		/**
		 * @brief Returns pointer to the current Customer order
		 */
		BustaModelFoodPiece** getOrder();

		
		/**
		 * @brief Sets the current Customer order
		 *	
		 *	Currently a stub function
		 */
		void setOrder(BustaModelFoodPiece** order);

		/**
		 * @brief Returns a pointer to the animation object
		 */
		BustaModelAnimation* getAnimation();


	private:
		int timeleft;
		BustaModelFoodPiece* order[5];
		BustaModelAnimation* anim;
};

#endif