/*	Filename:		BustaModelFoodPiece.h
 *	Description:	Busta' Sandwich FoodPiece model.
 *
 */

#ifndef BUSTA_SANDWICH_FOODPIECE
#define BUSTA_SANDWICH_FOODPIECE

#include "BustaModelAnimation.h"

/**
 * @class BustaModelFoodPiece
 *
 */
class BustaModelFoodPiece
{
	public:
		/**
		 * @brief Constructor
		 *
		 * Initializes variables
		 */
		BustaModelFoodPiece();

		/**
		 * @brief Constructor
		 *
		 * Initializes variables, sets type of food piece to t, 
		 * state equal to s
		 */
		BustaModelFoodPiece(int t, int s);


		/**
		 * @brief Destructor
		 *
		 */
		~BustaModelFoodPiece();


		/**
		 * @brief Gets the type of FoodPiece
		 */
		int getType();

		/**
		 * @brief Sets the type of FoodPiece
		 */
		void setType(int t);
		
		/**
		 * @brief Returns the current FoodPiece freshness state
		 */
		int getState();

		
		/**
		 * @brief Sets the current FoodPiece freshness state
		 */
		void setState(int s);

		/**
		 * @brief Returns a pointer to the animation object
		 */
		BustaModelAnimation* getAnimation();


	private:
		int type;
		int state;
		BustaModelAnimation* anim;
};

#endif