#include "BustaModelGameState.h"

BustaModelGameState::BustaModelGameState(){
	score = 0;
	tips = new BustaModelTipJar();
	chef = new BustaModelChef();
	cursor = new BustaModelCursor();

	customers[0] = new BustaModelCustomer();
	customers[1] = new BustaModelCustomer();
	customers[2] = new BustaModelCustomer();



	for(int i =0; i<=4; i++){
		for(int j = 0; j<=4; j++){
			board[i][j] = new BustaModelFoodPiece();
		}	
	}
}

BustaModelGameState::~BustaModelGameState(){
	delete tips;
	delete chef;
	delete cursor;

	delete customers[0];
	delete customers[1];
	delete customers[2];
	
	for(int i =0; i<4; i++){
		for(int j = 0; j<4; j++){
			delete board[i][j];
		}	
	}
}


int BustaModelGameState::getScore(){
	return score;
}

void BustaModelGameState::setScore(int s){
	score = s;
}

void BustaModelGameState::addCustomer(BustaModelCustomer* c){
	if(customers[2]== NULL)
		customers[2] = c;
	else{
		delete customers[0];
		customers[0] = customers[1];
		customers[1] = customers[2];
		customers[2] = c;
	}
}
int BustaModelGameState::removeCustomer(BustaModelCustomer* c){
	if(customers[0] == c){
		delete customers[0];
		customers[0]=customers[1];
		customers[1] = customers[2];
		customers[2] = NULL;
		return 0;
	}
	else if(customers[1] ==c){
		delete customers[1];
		customers[1] = customers[2];
		customers[2] = NULL;
		return 0;
	}
	else if(customers[2] ==c){
		delete customers[2];
		customers[2] = NULL;
		return 0;
	}
	else 
		return -1;
}


BustaModelCustomer*  BustaModelGameState::getCustomer(int n){
	return customers[n];
}


BustaModelTipJar* BustaModelGameState::getTipJar(){
	return tips;
}


BustaModelFoodPiece* BustaModelGameState::getBoard(int i,int j){
	return board[i][j];
}


void BustaModelGameState::setBoard(int i,int j, BustaModelFoodPiece* fp){
	board[i][j] = fp;
}

void BustaModelGameState::removeFromBoard(int i, int j){
	delete board[i][j];
}