/*	Filename:		BustaModelTipJar.h
 *	Description:	Busta' Sandwich TipJar model.
 *
 */

#ifndef BUSTA_SANDWICH_TIPJAR
#define BUSTA_SANDWICH_TIPJAR


/**
 * @class BustaModelTipJar
 *
 */
class BustaModelTipJar
{
	public:
		/**
		 * @brief Constructor
		 *
		 * Initializes variables
		 */
		BustaModelTipJar();

		/**
		 * @brief Constructor
		 *
		 * Initializes variables with fullamount s
		 */
		BustaModelTipJar(int s);


		/**
		 * @brief Destructor
		 *
		 */
		~BustaModelTipJar();

		/**
		 * @brief sets the size of the tipjar (fullamount)
		 */
		void setSize(int s);

		/**
		 * @brief returns the amount of tips in the tipjar
		 */
		int getTips();

		/**
		 * @brief adds specified amount to the tipjar; 
		 *	can only add tips up until full
		 */
		void addTips(int t);
		
		/**
		 * @brief removes tips from tipjar.  
		 * returns amount actually subtracted
		 */
		int subtractTips(int t);

		/**
		 * @brief returns true if tipjar is full
		 */
		bool isfull();


	private:
		int tips;
		int fullamount;
};

#endif