/*	Filename:		BustaNetClient.cpp
 *	Description:	Busta' Sandwich client module implementation
 *
 */

#include "BustaNetClient.h"
#include <stdlib.h>

BustaNetClient::BustaNetClient()
{
	debug = true;		// DEBUGGING- Set to true for stdout debugging messages
	tcpsock = NULL;
	socketset = NULL;
}

BustaNetClient::~BustaNetClient()
{
	// Shutdown SDLnet
	SDLNet_Quit();
}

char* BustaNetClient::init()
{
	// Initialize SDLnet
	if	(SDLNet_Init() == -1) 
		return SDLNet_GetError();	// On error, return the error message

	return NULL;	// return null on no errors
}

connect_resp* BustaNetClient::connect(char* IP, Uint16 serverPort)
{
	// create a connection response struct to return
	connect_resp* c_resp;
	c_resp = (struct connect_resp*)malloc(sizeof(*c_resp));

	// Resolve the server IP to be stored
	SDLNet_ResolveHost(&serverIP, IP, serverPort);

	// If the address cannot be resolved
	if (serverIP.host == INADDR_NONE) 
	{
		c_resp->accept = false;							// Denote failure in connect response
		c_resp->message = "Cannot Resolve Address";
		c_resp->playerID = -1;

		if (debug)
			printf("Cannot Resolve Address");
	} 
	else
	{
		// Attempt a connection to the server
		tcpsock = SDLNet_TCP_Open(&serverIP);

		// if a connection cannot be made with the server
		if (tcpsock == NULL) 
		{		
			c_resp->accept = false;						// Denote failure in connect response
			c_resp->message = "Cannot Open Socket";
			c_resp->playerID = -1;	

			if (debug)
				printf("Cannot Open Socket");
		} 
		else 
		{
			c_resp->accept = true;
			c_resp->message = "Successful Connection Made";	

			// connected to server
			if (debug)
				printf("Connected\n");
		}
	}

	// return connection response
	return c_resp;
}

void BustaNetClient::disconnect()
{
	// Close socket connection
	SDLNet_TCP_Close(tcpsock);
	tcpsock = NULL;
}

//BustaNetClient::getBriefGS()
//{
//
//}

//BustaNetClient::getOpGS()
//{
//
//}

//BustaNetClient::getPriorityQ()
//{
//
//}

//BustaNetClient::getSandwichQ()
//{
//
//}

void BustaNetClient::processNet()
{


}

//void BustaNetClient::sendCharSelect(CHARACTER)
//{
//
//}

//void BustaNetClient::sendCursor(CURSOR)
//{
//
//}

void BustaNetClient::sendGameOver()
{

}

void BustaNetClient::sendOpponentViewReq(int opponentID)
{


}

//void BustaNetClient::sendSandwich(int opponentID, SANDWICH)
//{
//
//}

//void BustaNetClient::sendState(GAMESTATE)
//{
//
//}
